extends Control

onready var grid = get_node("Grid")
onready var label = get_node("Panel/Label")

var game_over

func _ready():
	reset()

func _on_Grid_game_won( winner_idx ):
	label.set_text("Player " + str(winner_idx) + " won.")
	game_over = true

func _on_Grid_square_clicked():
	if game_over:
		reset()
	else:
		switch_active_player()
		update_label()

func _on_Grid_game_draw():
	label.set_text("Game ended in a draw.")
	game_over = true


func reset():
	grid.clear()
	grid.active_player_idx = 1
	update_label()
	game_over = false

func switch_active_player():
	if grid.active_player_idx == 1:
		grid.active_player_idx = 2
	else:
		grid.active_player_idx = 1

func update_label():
	label.set_text("It's player " + str(grid.active_player_idx) + "'s turn.")


